function onBegin()
	disableMovement()
	disableRetry()
	if not getFlag("warrior_xero") then
		playSound("event:/CC/CC_HollowKnight/SFX/Scene/HeroDreamNailSlash",player.Position)
		player.DummyAutoAnimate = false
		player.Sprite:Play("dreamNail")
		wait(1.45)
		setFlag("warrior_xero",true)
		wait(0.3)
		setFlag("warrior_xero2",true)
	else
		say("CC_XELKHK_WarriorDone")
	end
end

function onEnd()
	setFlag("warrior_xero",true)
	setFlag("Xero",true)
	enableMovement()
	enableRetry()
end